Loading...
Searching...
No Matches
Ogre::SceneQueryResult Struct Reference
Core » Scene

Holds the results of a scene query. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::SceneQueryResult:
[legend]

## Public Attributes

SceneQueryResultMovableList | movables
| List of movable objects in the query (entities, particle systems etc).
SceneQueryResultWorldFragmentList | worldFragments
| Only relevant for the BSP Scene Manager. List of world fragments.

## Detailed Description

Holds the results of a scene query.

## Member Data Documentation

## movables

SceneQueryResultMovableList Ogre::SceneQueryResult::movables

List of movable objects in the query (entities, particle systems etc).

## worldFragments

SceneQueryResultWorldFragmentList Ogre::SceneQueryResult::worldFragments

Only relevant for the BSP Scene Manager. List of world fragments.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h